### Method

# Gdk GLTextureBuilderset_id

since: 4.12

#### Declaration [src]

    void
    gdk_gl_texture_builder_set_id (
      GdkGLTextureBuilder* self,
      guint id
    )

#### Description [src]

Sets the texture id of the texture. The texture id must remain unmodified until the texture was finalized. See `gdk_gl_texture_builder_build()` for a longer discussion.

The id must be set before calling `gdk_gl_texture_builder_build()`.

Available since: 4.12

Sets property | `Gdk.GLTextureBuilder:id`

#### Parameters

`id`

  Type: `guint`

  The texture id to be used for creating the texture.